Skip to main content
GET
/
api
/
v0
/
workergroups
show workergroup
curl --request GET \
  --url https://console.vast.ai/api/v0/workergroups \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://console.vast.ai/api/v0/workergroups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://console.vast.ai/api/v0/workergroups', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "results": [
    {
      "id": 123,
      "min_load": 1,
      "target_util": 0.9,
      "cold_mult": 3,
      "test_workers": 3,
      "template_hash": "abc123def456",
      "template_id": 456,
      "search_query": "verified=true rentable=true rented=false",
      "launch_args": "--env VAR=value",
      "gpu_ram": 24,
      "endpoint_name": "my_endpoint",
      "endpoint_id": 789,
      "api_key": "your_api_key_here",
      "created_at": "2023-10-01T12:00:00Z",
      "user_id": 456
    }
  ]
}
{
  "success": false,
  "error": "<string>",
  "msg": "<string>"
}
{
  "success": false,
  "error": "<string>",
  "msg": "<string>"
}
{
  "detail": "API requests too frequent endpoint threshold=2.0"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Response

Success response

success
boolean
Example:

true

results
object[]